package api

import (
	"fmt"
	"strconv"
	"strings"
	"time"

	baapi "3g3e.com/rechy/ck.ba.api"
	jwt "3g3e.com/rechy/ck.ba.api/jwt-v2"
	"3g3e.com/ymdx/lib"
	"github.com/gin-gonic/gin"
)

//
func Unauthorized(c *gin.Context, code int, message string) {
	baapi.JSONReply(c, "nologin", fmt.Sprintf(message))
}

//
func GetUserId(c *gin.Context) (baapi.Type, int64) {
	claims := jwt.ExtractClaims(c)
	fmt.Println(lib.JsonEncodeIndent(claims))

	r := strings.Split(claims["id"].(string), "-")
	if len(r) < 2 {
		return baapi.TypeUnknown, 0
	}

	id, _ := strconv.ParseInt(r[1], 10, 64)
	return baapi.Type(r[0]), id
}

// 登录
func LoginResponse(c *gin.Context, code int, token string, tm time.Time) {
	user, ok := c.Get("user")
	if !ok {
		baapi.JSONReply(c, "error", "用户信息不存在")
		return
	}
	dd := gin.H{
		"token": token,
		"user":  user,
	}
	baapi.JSONReply(c, "success", "登录成功", dd)
}

// 登出
func LogoutResponse(c *gin.Context, code int) {
	baapi.JSONReply(c, "success", "退出成功")
}
