package pub

import (
	"encoding/json"

	baapi "3g3e.com/rechy/ck.ba.api"
	"3g3e.com/ymdx/glog"
	"3g3e.com/zmy/ck.platform.shop/models"
)

func init() {
	RegisterCommand("close_module", CommandCloseModule)
}

// 关闭模块
func CommandCloseModule(req *baapi.Command) (string, interface{}, interface{}) {

	glog.Infolns("run pub command:", req)
	if req.Data == "" {
		return "error", "req.Data is empty", nil
	}
	//将商户的开启状态修改成禁止状态
	var userinfo *baapi.ModUser
	err := json.Unmarshal([]byte(req.Data), &userinfo)
	if err != nil {
		return "error", err, nil
	}
	uuid := userinfo.UUID
	info := make(map[string]interface{})
	info["status"] = 11

	re := models.Db.Table("euser").Where("uuid = ?", uuid).Updates(info)
	if re.Error != nil {
		return "fail", "商户更新失败", nil
	}

	return "success", "成功", nil

}
