package pub

import (
	"net/http"
	"strconv"
	"time"

	"github.com/gin-gonic/gin"
)

const Imgfile = "/var/www/soft/ck.platform.tag/img/"
const Imgpath = "https://dx.3g3e.com.cn/img/"

func UpFile(c *gin.Context) {
	//获取文件头
	file, err := c.FormFile("file")
	if err != nil {
		c.JSON(http.StatusOK, gin.H{
			"message": "error",
			"msg":     err.Error(),
		})
		return
	}
	//获取文件名
	t := time.Now().Unix()
	fileName := strconv.FormatInt(t, 10) + ".png"
	path := Imgfile + fileName
	//保存文件到服务器本地
	//SaveUploadedFile(文件头，保存路径)
	if err := c.SaveUploadedFile(file, path); err != nil {
		c.JSON(http.StatusOK, gin.H{
			"message": "error",
			"msg":     "上传失败",
		})
		return
	}
	//保存成功返回正确的Json数据
	c.JSON(http.StatusOK, gin.H{
		"message": "ok",
		"picture": Imgpath + fileName,
	})
}
