package main

import (
	"fmt"

	cfg "3g3e.com/ymdx/config"
	"3g3e.com/ymdx/glog"
	"3g3e.com/zmy/ck.platform.shop/models"
	"3g3e.com/zmy/ck.platform.shop/routers"
	"github.com/gin-gonic/gin"
)

const (
	srvName        = "Platform Shop Mnaager"
	srvDescription = "Platform Shop Mnaager by Change Ke"
)

var (
	ServicePort int = 8351
)

func (app *exitApp) main() {
	defer app.exit()
	defer glog.Flush()
	// defer glog.Defer("")

	// 开始链接数据库
	err := models.Init()
	if err != nil {
		glog.Errorln("数据库连接失败:", err)
		return
	}
	r := gin.Default()
	routers.SetupRouter(r)

	ServicePort = cfg.Int("port", ServicePort)
	err = r.Run(fmt.Sprintf(":%d", ServicePort))
	if err != nil {
		glog.Errorln("服务器异常退出:", err)
		return
	}
}
