package routers

import (
	baapi "3g3e.com/rechy/ck.ba.api"
	"3g3e.com/zmy/ck.platform.shop/api/pub"
	"3g3e.com/zmy/ck.platform.shop/keys"
)

type PubHub struct {
}

func (pb *PubHub) Sign(isBA bool, moduleTo string, data string) (string, error) {
	kmgr := keys.GetKeyManager()
	return kmgr.Sign(isBA, moduleTo, data)
}

func (pb *PubHub) Verify(isBA bool, moduleFrom string, data string, sign string) error {
	kmgr := keys.GetKeyManager()
	return kmgr.Verify(isBA, moduleFrom, data, sign)
}

func (pb *PubHub) Exec(req *baapi.Command) (string, interface{}, interface{}) {
	fn, ok := pub.FindHandler(req.Cmd)
	if !ok {
		return "error", "not support command", nil
	}
	return fn(req)
}
