package main

import (
	"log"
	"sync"
	"time"
)

type TaskRow struct {
	Id    int
	Phone string
}

func main() {

	log.SetFlags(log.Flags() | log.Ldate)

	ch := make(chan *TaskRow, 10000)
	stopCh := make(chan interface{})
	go func() {
		for i := 0; i < 100000; i++ {
			ch <- &TaskRow{Id: i, Phone: "139000000"}
		}
	}()

	go func() {
		time.Sleep(time.Second * 15)
		close(stopCh)
	}()

	wg := &sync.WaitGroup{}

	for i := 0; i < 20; i++ {
		wg.Add(1)
		go oneThread(i, wg, ch, stopCh)
	}

	log.Println("开始等待============", time.Now())
	time.Sleep(time.Second * 2)
	// wg.Wait()
	log.Println("20 线程已经退出============", time.Now())

}

func oneThread(threadId int, wg *sync.WaitGroup, ch chan *TaskRow, stopCh chan interface{}) {
	defer wg.Done()
	for {
		select {
		case <-stopCh:
			return
		case task := <-ch:
			// dealOneTask(task)
			log.Println("工人ID:", threadId, "任务: ", task.Id)
			// time.Sleep(time.Second * 10)

		}
	}

}
